@echo off

set chainType=
if "%~1"=="--safetest" (
	set chainType="--safetest"
	shift
)

if "%chainType%" == "" (
	rd /s /q %LOCALAPPDATA%\safe4\geth\nodes
) else (
	rd /s /q %LOCALAPPDATA%\safe4\safetest\geth\nodes
)

if "%~1" == "" (
    bin\geth.exe %chainType% --rpc.evmtimeout=0 console
) else if "%~2" == "" (
    bin\geth.exe %chainType% --nat extip:%~1 --rpc.evmtimeout=0 console
) else (
	copy /Y bin\static-nodes.json %LOCALAPPDATA%\safe4\static-nodes.json
    bin\geth.exe %chainType% --nat extip:%~1 --rpc.evmtimeout=0 --maxpeers 500 --maxpendpeers 500 --unlock %~2 --password bin\password.txt --mine --miner.etherbase %~2 console
)

pause
